API DocumentationAccount
Redeem voucher
Redeem a billing voucher code for the current account.
Authorization
bearer_auth AuthorizationBearer <token>
OAuth Authentication
OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.
Use the access_token in the Authorization header for requests:
Authorization: Bearer <token>Always keep your token secure and do not share it with anyone.
In: header
Path Parameters
voucher_code*string
Billing voucher code to redeem.
Response Body
application/json
application/json
text/pain
application/json
application/json
curl -X POST "https://example.com/v1/account/voucher/QTA_2ZU6BJ_NBOCD_ALJE1"null{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"{ "errors": [ { "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n" } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}